module Blazer
  module Rails
    class Engine < ::Rails::Engine
      initializer 'uikitten-gem.assets.precompile' do |app|
        %w(stylesheets javascripts fonts).each do |sub|
          app.config.assets.paths << root.join('assets', sub).to_s
        end

        app.config.assets.paths << root.join('vendor', 'assets', 'components')
      end
    end
  end
end
